Gatis Tomsons

rocket science

Java versijas

Nupat, uz Ubuntu, draugam centos uzlikt Archimedes programmu, kura ir bāzēta uz Eclipse un kā zināms, tad Eclipse ir taisīta iekš Javas. Archimedes instrukcijā bija teikts, ka nepieciešama vismaz 5.0 virtuālā javas mašīna, kura man arī bija, tikai izpildot komandu java -version uzrādījās 1.4, kura bija par vecu. Ņēmu pārinstalēju visu, bet nekā, līdz uzgāju šādu komandu sudo update-alternatives --config java, kur tiek piedāvāts izvēlēties, uz ko komandai java būtu jaatsaucas - rezultātā protams viss darbojas.